trema trema

trema-edge

3 9 0

Transient repository for Trema OF1.3 branch

Dependencies

Package Locked Requirement Latest Status Changelog
Gems gli ~> 2.11.0 2.13.1

gli

Build command-suite CLI apps that are awesome. Bootstrap your app, add commands, options and documentation while maintaining a well-tested idiomatic command-line app

This dependency is not matching latest version. Please consider upgrading.

Gems paper_house ~> 0.6.2 0.6.2

paper_house

Rake tasks for compiling C projects.

This dependency is up-to-date. Congrats and keep going!

Gems pio >= 0 0.24.2

pio

Pure ruby packet parser and generator.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems aruba ~> 0.6.0 0.8.1

aruba

Extension for popular TDD and BDD frameworks like "Cucumber" and "RSpec" to make testing commandline applications meaningful, easy and fun.

This dependency is not matching latest version. Please consider upgrading.

Gems coveralls ~> 0.7.0 0.8.2

coveralls

A Ruby implementation of the Coveralls API.

This dependency is not matching latest version. Please consider upgrading.

Gems cucumber ~> 1.3.15 2.0.2

cucumber

Behaviour Driven Development with elegance and joy

This dependency is not matching latest version. Please consider upgrading.

Gems flay ~> 2.5.0 2.6.1

flay

Flay analyzes code for structural similarities. Differences in literal values, variable, class, method names, whitespace, programming style, braces vs do/end, etc are all ignored. Making this totally rad.

This dependency is not matching latest version. Please consider upgrading.

Gems flog ~> 4.2.1 4.3.2

flog

Flog reports the most tortured code in an easy to read pain report. The higher the score, the more pain the code is in.

This dependency is not matching latest version. Please consider upgrading.

Gems reek ~> 1.3.7 3.1

reek

Reek is a tool that examines Ruby classes, modules and methods and reports any code smells it finds.

This dependency is not matching latest version. Please consider upgrading.

Gems rspec ~> 3.0.0 3.3.0

rspec

BDD for Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems rubocop ~> 0.27.1 0.32.1

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is not matching latest version. Please consider upgrading.

Gems yard ~> 0.8.7.4 0.8.7.6

yard

YARD is a documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

This dependency is up-to-date. Congrats and keep going!